### Signal

# WPEWebKit GeolocationManager::start

since: 2.26

#### Declaration

    gboolean
    start (
      WebKitGeolocationManager* self,
      gpointer user_data
    )

#### Description [src]

The signal is emitted to notify that `manager` needs to start receiving position updates. After this signal is emitted the user should provide the updates using `webkit_geolocation_manager_update_position()` every time the position changes, or use `webkit_geolocation_manager_failed()` in case it isn’t possible to determine the current position.

If the signal is not handled, WebKit will try to determine the position using GeoClue if available.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.26

#### Return value

Type: `gboolean`

`TRUE` to stop other handlers from being invoked for the event. `FALSE` to propagate the event further.